com.aliyun.svideosdk.mixrecorder

## Class AliyunMixTrack

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixTrack

-     public class AliyunMixTrack
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunMixTrack()`
    `AliyunMixTrack(int trackId)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addStream(AliyunMixStream stream)` Adds a video stream to this track.
    `int` | `getMixAudioWeight()` Added in v3.19.0 Get the track's volume.
    `AliyunMixStream` | `getMixStream()` gGet a video stream to this track.
    `AliyunMixTrackLayoutParam` | `getMixTrackLayoutParam()` Added in v3.19.0 Get the track's layout parameters.
    `int` | `getTrackId()` Deprecated.
    `boolean` | `isAudioOutputTrack()` Added in v3.19.0 enable current track's audio mix
    `void` | `setIsOutputAudioTrack(boolean isOutputAudioTrack)` Added in v3.19.0 track's audio output to mix
    `void` | `setMixAudioWeight(int mixAudioWeight)` Added in v3.19.0 Audio volume when mix take effect when com.aliyun.svideosdk.mixrecorder.MixAudioSourceType#MIX was set
    `void` | `setMixTrackLayoutParam(AliyunMixTrackLayoutParam mMixTrackLayoutParam)` Added in v3.19.0 set the track's layout parameters
    `void` | `setTrackId(int trackId)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunMixTrack

          public AliyunMixTrack()

    - #### AliyunMixTrack

          @Deprecated
          public AliyunMixTrack(int trackId)

      Deprecated.

  - ### Method Detail

    - #### addStream

          public int addStream(AliyunMixStream stream)

      Adds a video stream to this track. If more than one is added, the last one is valid
      Parameters:
        `stream` - The video stream to be added.
      Returns:
        The streamId if the invocation is successful or an error code if the invocation fails.
      See Also:
        `AliyunMixStream`

    - #### setMixAudioWeight

          public void setMixAudioWeight(int mixAudioWeight)

      Added in v3.19.0 Audio volume when mix take effect when com.aliyun.svideosdk.mixrecorder.MixAudioSourceType#MIX was set
      Parameters:
        `mixAudioWeight` - [0~100]
      See Also:
        `com.aliyun.svideosdk.mixrecorder.MixAudioSourceType#MIX}`

    - #### setIsOutputAudioTrack

          public void setIsOutputAudioTrack(boolean isOutputAudioTrack)

      Added in v3.19.0 track's audio output to mix
      Parameters:
        `isOutputAudioTrack` - true:output audio , false: track is mute

    - #### setMixTrackLayoutParam

          public void setMixTrackLayoutParam(AliyunMixTrackLayoutParam mMixTrackLayoutParam)

      Added in v3.19.0 set the track's layout parameters
      Parameters:
        `mMixTrackLayoutParam` - see `AliyunMixTrackLayoutParam`

    - #### getTrackId

          @Deprecated
          public int getTrackId()

      Deprecated.
      Gets the track id.
      Returns:

    - #### setTrackId

          @Deprecated
          public void setTrackId(int trackId)

      Deprecated.

    - #### isAudioOutputTrack

          public boolean isAudioOutputTrack()

      Added in v3.19.0 enable current track's audio mix
      Returns:

    - #### getMixAudioWeight

          public int getMixAudioWeight()

      Added in v3.19.0 Get the track's volume.
      Returns:

    - #### getMixTrackLayoutParam

          public AliyunMixTrackLayoutParam getMixTrackLayoutParam()

      Added in v3.19.0 Get the track's layout parameters.
      Returns:
        see `AliyunMixTrackLayoutParam`

    - #### getMixStream

          public AliyunMixStream getMixStream()

      gGet a video stream to this track.
      Returns:
        The video stream `AliyunMixStream`